import { Block } from "payload";

export const BeforeFooterBlock: Block = {
  slug: "beforeFooterBlock",
  labels: { plural: "Call To Action", singular: "Call To Action" },
  fields: [
    {
      name: "title",
      type: "text",
      required: true,
      defaultValue: "Begin your path to healing with Cochise Oncology",
    },
    {
      name: "description",
      type: "textarea",
      required: true,
      defaultValue:
        "Our dedicated team in Sierra Vista, AZ is here to support you with hope, strength, and courage. We offer personalized cancer care using innovative treatments in our state-of-the-art facility. Take the first step towards comprehensive, patient-focused treatment by scheduling a consultation. Let us listen to your needs, answer your questions, and create a tailored plan for your journey. Fill out our form to connect with our compassionate experts and discover how Cochise Oncology can stand with you in your fight against cancer.",
    },
    {
      type: "text",
      name: "buttonText",
      label: "CTA Button Text",
      required: true,
      defaultValue: "Get Started",
    },
  ],
};
