"use client";
import Image from "next/image";

export default function About() {
  return (
    <div className="row wow fadeInUp" data-wow-delay="0.5s">
      <div className="col-lg-6 mb-md-60">
        <div className="position-relative">
          {/* Image */}
          <div className="position-relative overflow-hidden">
            <Image
              width={960}
              height={539}
              src="/assets/images/about-image.webp"
              className="image-fullwidth relative"
              alt="Image Description"
            />
          </div>
          {/* End Image */}
          {/* Decorative Waves */}
          <div
            className="decoration-1 d-none d-sm-block"
            data-rellax-y=""
            data-rellax-speed={1}
            data-rellax-percentage="0.1"
          >
            <Image width="159" height="74" src="/assets/images/decoration-1.svg" className="svg-shape" alt="" />
          </div>
          {/* End Decorative Waves */}
        </div>
      </div>
      <div className="col-lg-6 col-xl-5 offset-xl-1">
        <h4 className="h5">What is Radixact® Radiation Therapy?</h4>
        <p className="text-gray">
          RadixactRadixact® is a cutting-edge radiation therapy designed to treat a wide variety of cancers with
          remarkable precision. This advanced treatment uses TomoTherapy® technology, which combines CT imaging to
          create detailed, 3D images of your tumor. These images allow us to focus the radiation exactly where it’s
          needed, minimizing the impact on surrounding healthy tissue. Radixact® works from all directions, ensuring
          that tumors are treated more effectively from multiple angles.
        </p>
        <p className="text-gray">
          At Cochise Oncology, we are proud to be the only cancer treatment center in Southern Arizona offering
          Radixact®. With daily CT imaging to guide treatment and its ability to target hard-to-reach or recurring
          tumors, Radixact® helps reduce radiation exposure to healthy tissue, resulting in fewer side effects and
          better outcomes for our patients.
        </p>
      </div>
    </div>
  );
}
