import Link from "next/link";

export interface BoxMenuProps {
  title: string;
  description?: string;
  href: string;
}

export default function BoxMenu({ title, description, href }: BoxMenuProps) {
  return (
    <div className="flex flex-col bg-extColorPrimary4 text-white rounded-md items-center px-4 py-4">
      <span className="font-semibold text-2xl">{title ?? ""}</span>
      <div className="text-center font-medium mt-4">{description ?? ""}</div>
      <Link href={fixedHref(href)} className="ext-btn-primary mt-4">
        Learn More
      </Link>
    </div>
  );
}

function fixedHref(href: string) {
  if (href.charAt(0) === "/") return href;

  return `/${href}`;
}
