import BoxMenu from "./BoxMenu";

type BoxMenuGridItem = {
  id: string;
  title: string;
  description: string;
  href: string;
};

export interface BoxMenuGridBlockProps {
  boxMenuGridItem: BoxMenuGridItem[];
}

export function BoxMenuGridBlock({ boxMenuGridItem }: BoxMenuGridBlockProps) {
  const dataLength = boxMenuGridItem.length ?? 0;

  return (
    <div className="py-24 px-4 bg-[linear-gradient(to_bottom,var(--ext-color-primary-5),#ffffff)]">
      {dataLength === 1 && (
        <div className="flex justify-center">
          <div className="w-2/3">
            <BoxMenu
              title="Chemoterapy"
              description="Chemotherapy is a range of chemical treatments that are designed to combat the growth and spread of
                  cancer."
              href="radixact"
            />
          </div>
        </div>
      )}
      {dataLength > 1 && (
        <div className="grid grid-cols-1 md:grid-cols-2 gap-4 w-full">
          {boxMenuGridItem.map((b, idx) => (
            <BoxMenu key={idx} title={b?.title ?? ""} description={b?.description ?? ""} href={b.href} />
          ))}
        </div>
      )}
    </div>
  );
}
