import { fetchGoogleReviews } from "@/services/payload/google-reviews";
import { GoogleReviewProps, GoogleReviews } from "./GoogleReviews";

export async function GoogleReviewsBlock() {
  const data = await fetchGoogleReviews();
  if (!data?.id) return <></>;

  const dataReviews: GoogleReviewProps["data"] = {
    data:
      data.ratings?.map?.((r) => {
        return {
          star: r.ratingValue,
          description: r.description,
        };
      }) ?? [],
    ratingValue: data.ratingValue,
    totalRating: data.totalRating,
  };

  return <GoogleReviews data={dataReviews} />;
}
