import { RichText } from "@payloadcms/richtext-lexical/react";
import Image from "next/image";

export interface HorizontalImageContentBlockProps {
  img: { url: string; alt: string };
  content: any;
}

export function HorizontalImageContentBlock({ img, content }: HorizontalImageContentBlockProps) {
  return (
    <div className="container">
      <div className="grid grid-cols-1 md:grid-cols-2 gap-3 md:gap-5">
        <div>
          <Image src={img.url} width={0} height={0} sizes="100vw" className="w-full h-auto" alt={img.alt} />
        </div>
        <div>
          {/* @ts-ignore */}
          <RichText data={content} />
        </div>
      </div>
    </div>
  );
}
