"use client";

import { useRef } from "react";

export default function Hero() {
  const videoRef = useRef<any | null>(null);

  return (
    <section className="home-section bg-dark-1 bg-dark-alpha-30 light-content scrollSpysection" id="home">
      <div className="container min-h-[80vh] d-flex align-items-center pt-100 pb-100 pt-sm-120 pb-sm-120">
        {/* Background Video */}
        {/* Please replace the video file in folder "video" with your own file */}
        <div className="bg-video-wrapper">
          <video ref={videoRef} className="bg-video" preload="auto" autoPlay muted loop>
            <source src="/assets/videos/cochise.webm" type="video/webm" />
          </video>
          <div className="bg-video-overlay bg-black opacity-[0.7]" />
        </div>
        {/* Home Section Content */}
        <div className="home-content">
          <div className="space-y-5">
            <h2 className="hs-title-3">Healing Begins Here</h2>
            <h1 className="text-3xl md:text-6xl">Cochise Oncology</h1>
            <p className="text-xl">Southern Arizona’s Only Complete Cancer Treatment Center in Sierra Vista.</p>
          </div>
          <a href="/contact" className="ext-btn-cta-md mt-7" data-btn-animate="y">
            Request Consultation
          </a>
        </div>
        {/* End Home Section Content */}
      </div>
    </section>
  );
}
