import Image from "next/image";
import StarRating from "./StarRating";
import { limitString } from "@/utils/general";

export interface CardStarRatingProps {
  data: {
    star: number;
    description: string;
  };
}

export function CardStarRating({ data }: CardStarRatingProps) {
  return (
    <div className="bg-white p-2 rounded-lg shadow-md">
      <div className="flex justify-between">
        <StarRating size={30} value={data.star} />
        <Image src="/assets/images/google-provider.svg" width={30} height={30} alt="" />
      </div>
      <p className="p-1 mt-4 text-[21px]">{limitString(data.description)}</p>
    </div>
  );
}

export function CardStarRatingSkeleton() {
  return (
    <div className="bg-white p-2 rounded-lg shadow-md animate-pulse">
      <div className="flex justify-between">
        <div className="h-5 bg-gray-300 rounded w-1/3 mb-2"></div>
        <div className="h-5 bg-gray-300 rounded w-1/5 mb-2"></div>
      </div>
      <div className="h-16 bg-gray-300 rounded w-full mb-2"></div>
    </div>
  );
}
