"use client";
import Link from "next/link";
import { CardTeam } from "./Teams/CardTeam";

type Team = {
  id: number;
  slug: string;
  name: string;
  role: string;
  img: { url: string; alt: string };
  biography: string;
};

export default function Team({ data }: { data: Team[] }) {
  return (
    <div className="container">
      <div className="flex justify-center">
        <h2 className="text-4xl mb-30 mb-sm-20">
          <span className="text-gray">Our</span> Team
          <span className="text-gray">.</span>
        </h2>
      </div>
      <div className="grid grid-cols-1 md:grid-cols-3 xl:grid-cols-4 gap-x-5 gap-y-2">
        {/* Team item */}
        {data.map((member: any, index: any) => (
          <div key={index} className="flex flex-col text-center justify-between">
            <CardTeam data={member} />
            <Link href={`/staff_member/${member.slug}`} passHref>
              <button className="bg-extColorPrimary6 text-white px-5 py-1 m-3 rounded-3xl hover:bg-extColorPrimary4 transition-colors duration-500">
                BIOGRAPHY
              </button>
            </Link>
          </div>
        ))}
        {/* End Team item */}
      </div>
    </div>
  );
}
