"use client";
import Image from "next/image";
export interface CardTeamProps {
  data: {
    name: string;
    role: string;
    img: { url: string };
  };
}

export function CardTeam({ data }: CardTeamProps) {
  return (
    <div className="col-md-12 mt-40">
      <div className="team-item">
        <div className="team-item-image">
          <Image
            src={data.img.url}
            width={400}
            height={400}
            className="wow scaleOutIn"
            data-wow-duration="1.2s"
            alt={`Image of ${data.name}`}
          />
        </div>
        <div className="team-item-descr">
          <div className="team-item-name">{data.name}</div>
          <div className="team-item-role">{data.role}</div>
        </div>
      </div>
    </div>
  );
}
