import type { GlobalConfig } from "payload";

export const Contacts: GlobalConfig = {
  slug: "contacts",
  fields: [
    {
      name: "location",
      type: "group",
      fields: [
        {
          name: "street",
          label: "Street",
          type: "text",
        },
        {
          name: "city",
          label: "City",
          type: "text",
        },
        {
          name: "state",
          label: "State",
          type: "text",
        },
        {
          name: "postcode",
          label: "Postcode",
          type: "text",
        },
        {
          name: "href",
          label: "Google Map Link",
          type: "text",
        },
        {
          name: "iframeSrc",
          label: "Google Map Iframe Source",
          type: "text",
        },
      ],
    },
    {
      name: "phone",
      label: "Phone Number",
      type: "text",
    },
    {
      name: "fax",
      label: "Fax",
      type: "text",
    },
    {
      name: "facebook",
      label: "Facebook Link",
      type: "text",
    },
    {
      name: "linkedin",
      label: "Linkedin Link",
      type: "text",
    },
    {
      name: "hours",
      label: "Business Hours",
      type: "array",
      minRows: 1,
      fields: [
        {
          name: "hour",
          type: "text",
        },
      ],
    },
  ],
  admin: {
    hideAPIURL: true,
    group: "General",
  },
};
