import type { GlobalConfig } from "payload";

export const GoogleReviews: GlobalConfig = {
  slug: "google-reviews",
  fields: [
    {
      name: "ratingValue",
      label: "Rating Value",
      type: "number",
      required: true,
      defaultValue: 0,
    },
    {
      name: "totalRating",
      type: "number",
      required: true,
      defaultValue: 0,
    },
    {
      label: "Ratings",
      name: "ratings",
      type: "array",
      fields: [
        {
          name: "ratingValue",
          label: "Rating Value",
          type: "number",
          required: true,
          defaultValue: 0,
        },
        {
          name: "description",
          type: "textarea",
          required: true,
        },
      ],
    },
  ],
  admin: {
    hideAPIURL: true,
    group: "General",
  },
};
