import payloadConfig from "@/payload.config";
import { getPayload } from "payload";

export async function fetchContact() {
  const payload = await getPayload({ config: payloadConfig });
  const dataQuery = await payload.findGlobal({ slug: "contacts" });

  const fullLocationArr: string[] = [];
  if (!!dataQuery?.location?.street) {
    fullLocationArr.push(dataQuery.location.street);
  }
  if (!!dataQuery?.location?.city) {
    fullLocationArr.push(dataQuery.location.city);
  }
  if (!!dataQuery?.location?.state) {
    fullLocationArr.push(dataQuery.location.state);
  }

  return !!dataQuery
    ? {
        ...dataQuery,
        fullLocation: `${fullLocationArr.join(", ")} ${dataQuery?.location?.postcode ?? ""}`,
        fullLocationWithoutStreet: `${fullLocationArr.slice(1).join(", ")} ${dataQuery?.location?.postcode ?? ""}`,
      }
    : null;
}
