import payloadConfig from "@/payload.config";
import { formatDate } from "@/utils/datetime";
import { getPayload } from "payload";

export async function fetchTeamDetail(slug: string) {
  const payload = await getPayload({ config: payloadConfig });
  const blogDataQuery = await payload.find({
    collection: "teams",
    where: {
      slug: { equals: slug },
    },
    limit: 1,
    pagination: false,
  });

  if (!blogDataQuery?.docs?.[0]) return null;

  const data = blogDataQuery?.docs?.[0];
  const createdAt = formatDate(data.createdAt);
  const imgUrl = typeof data.img !== "number" ? (data?.img?.url ?? "") : "";

  return {
    data,
    createdAt,
    imgUrl,
  };
}
